function [sigma like] = log_likelihood(y_sq,theta,unc_var)

taille = max(size(y_sq));
sigma = zeros(taille,1);
sigma(1) = unc_var;
for i=2:taille
   sigma(i) = theta(1) + theta(2)*y_sq(i-1) + theta(3)*sigma(i-1);
end
like = -0.5*log(2*pi*sigma) -0.5*y_sq./sigma;
