function [result error]=Read_param_IHMM(y,regime,directory,forecast,nb_MCMC)

new = 1;
DE = 0;
dim_y = size(y);
if(dim_y(1,1)>dim_y(1,2))
    taille = dim_y(1,1);
else
    taille = dim_y(1,2);
end
nb_forecast = 0;
if(forecast>0)
    nb_forecast = forecast;
    forecast = 1;
    taille = taille-nb_forecast;
end
result.size = taille;
k = regime;

lect_tot = max(10000,nb_MCMC);
PGCD_test = 2:1:20;
PGCD = mod(lect_tot,PGCD_test);
ind_PGCD = find(PGCD==0);
if(isempty(ind_PGCD))
    PGCD = 1;
    nb_saut = lect_tot;
else
   PGCD = PGCD_test(ind_PGCD(end)); 
   nb_saut = ind_PGCD(end);
end
nb_val = lect_tot;%nb_MCMC;
borne_sup = 2;
interval = 30;
error = 0;
location = ['Griddy_'];

if(directory(1)==' ')
    directory = 'C:\Doctorat\CP and MS IHMM GARCH\DATA_MS0\'
end
result.directory = directory;
if(new==1)
    name = [directory location 'res_regime.dat'];
    name
    fid = fopen(name);
    regime_max = fscanf(fid,'%g',[1 inf]);
    fclose(fid);
    k = max(regime_max);
    dim = max(size(regime_max));
    if(lect_tot>dim)
        lect_tot = dim;
        nb_val = dim;
    end
    result.regime_max = regime_max(1:lect_tot);
    regime_max = result.regime_max;
    
    name = [directory location 'res_nb_trans.dat'];
    fid = fopen(name);
    beam_nb_trans = fscanf(fid,'%g',[1 inf]);
    fclose(fid);
    result.beam_nb_trans = beam_nb_trans(1:lect_tot);
end



str = '';
for i=1:k
    str = [str ' %g '];
end

if(new==1)
    name = [directory location 'res_w.dat'];
else
    name = [directory location 'res_c.dat'];
end

fid = fopen(name);
if(fid~=-1)
    c = fscanf(fid,str,[k lect_tot]);
    result.omega = c';
    
    fclose(fid);
    clear c;
    

    name = [directory location 'res_alpha.dat'];

    fid = fopen(name);
    alpha = fscanf(fid,str,[k lect_tot]);
    result.alpha = alpha';
    fclose(fid);
    clear alpha;
if(new==1)
    name = [directory location 'res_beta.dat'];
else
    name = [directory location 'res_gamma.dat'];
end

    fid = fopen(name);
    gamma = fscanf(fid,str,[k lect_tot]);
    result.beta = gamma';
    fclose(fid);
    clear gamma;
    name = [directory location 'res_p.dat'];
    
    
    if(DE==0)  
         fid = fopen(name);
         p = fscanf(fid,str,[(k)*(k) lect_tot]);
         result.p = p';
         fclose(fid);
    end
    clear p;
    
    name = [directory location 'res_alp_kap_eta.dat'];
    
    
    if(DE==0)  
         fid = fopen(name);
         p = fscanf(fid,str,[3 lect_tot]);
         
         result.alp_kap_eta = p';
         fclose(fid);
    end
    clear p;
    
    name = [directory location 'res_time_MCMC.dat'];
    
    
    if(DE==0)  
         fid = fopen(name);
         p = fscanf(fid,str,[1 1]);
         
         result.time_MCMC_in_sec = p';
         fclose(fid);
    end
    clear p;
    
    name = [directory location 'res_accept_rate.dat'];
    
    
    if(DE==0)  
         fid = fopen(name);
         accept_rate_sn = fscanf(fid,'%g',[1 1]);
         p = fscanf(fid,'%g',[2 inf]);
%          p = fscanf(fid,str,[3*max(regime_max) 3]);
         
         result.accept_rate = p;
         result.accept_rate_sn = accept_rate_sn;
         fclose(fid);
    end
    clear p;
    
%    result.sn = zeros(50,50);
    if(new==1)
        name = [directory location 'res_states.dat'];
    else
        name = [directory location 'res_etat.dat'];
    end
     
     fid = fopen(name);

             
     if(nb_saut>lect_tot)
         nb_saut = lect_tot;
     end
     
     if(mod(lect_tot,nb_saut)~=0)
         nb_saut = lect_tot;
     end
     
     sn = int8(zeros(nb_val,taille));
     
     for q=1:nb_saut:nb_val
         
         sn(q:q-1+nb_saut,:) = fscanf(fid,str,[taille nb_saut])';
     end
     
     result.sn = sn;
%         result.sn = sn(:,end-100:end)';

     clear sn;
     fclose(fid);
     
     if(forecast==1)
        name = [directory location 'res_LPD.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.LPD = p';
            fclose(fid);
        end
        clear p;
        
        name = [directory location 'res_y_for.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.y_for = p';
            fclose(fid);
        end
        clear p;
        
        name = [directory location 'res_LPD_CP.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.LPD_CP = p';
            fclose(fid);
        end
        clear p;
        
        name = [directory location 'res_LPD_MS.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.LPD_MS = p';
            fclose(fid);
        end
        clear p;
        
        name = [directory location 'res_MSE.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.MSE = p';
            fclose(fid);
        end
        clear p;
        
        name = [directory location 'res_MSE_CP.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.MSE_CP = p';
            fclose(fid);
        end
        clear p;
        
        name = [directory location 'res_MSE_MS.dat'];
        if(DE==0)
            fid = fopen(name);
            p = fscanf(fid,str,[nb_forecast lect_tot]);
            
            result.MSE_MS = p';
            fclose(fid);
        end
        clear p;
        
     else
         result.LPD = 0;
         result.LPD_CP = 0;
         result.LPD_MS = 0;
         result.MSE = 0;
         result.MSE_CP = 0;
         result.MSE_MS = 0;
     end
     
     
     
     dim = size(result.sn);
     forward = zeros(dim(1,2),k);
     test_CP = zeros(dim(1,2),1);
     prob_cass= zeros(dim(1,2),1);
     burn = floor(0.5*dim(1,1));
     for z=burn:dim(1,1)
         struct_break = zeros(regime_max(z),3);
         
         for q=1:dim(1,2)
             etat = result.sn(z,q)+1;
             forward(q,etat) = forward(q,etat) + 1;
             if(struct_break(etat,1)==0)
                 struct_break(etat,1) = 1;
                 struct_break(etat,2) = q;
             elseif(struct_break(etat,2)==q-1)
                 struct_break(etat,1) = struct_break(etat,1) +1;
                 struct_break(etat,2) = q;
             end
             struct_break(etat,3) = struct_break(etat,3) +1;
             if(q>1)
                 if(etat~=etat_prev)
                     prob_cass(q) = prob_cass(q) +1;
                 end
             end
             etat_prev = etat;
             
         end
         isCP = zeros(regime_max(z),1);
         for q=1:regime_max(z)
             if(struct_break(q,3)==struct_break(q,1))
                 isCP(q) = 1;
             else
                 isCP(q) = 0;
             end
         end
         for q=1:dim(1,2)
             if(isCP(result.sn(z,q)+1)==1)
                 test_CP(q) = test_CP(q) +1;
             end
             
         end
     end
     forward = forward/(dim(1,1)-burn);
     test_CP = test_CP/(dim(1,1)-burn);
     result.prob_sn = forward;
     result.isCP = test_CP;
     result.prob_cass = prob_cass/(dim(1,1)-burn);
     clear test_CP;
     clear prob_cass;
     clear forward;
     
     name = [directory location 'res_posterior_dens.dat'];
    
    fid = fopen(name);
    post_dens = fscanf(fid,str,[1 lect_tot]);
    result.post_dens = post_dens';
    fclose(fid);
    clear post_dens;
     
else
%    fclose(fid);
    result.mean_omega = 0;
    result.mean_alpha = 0;
    result.mean_beta = 0;
    result.mean_p = 0;
    result.sn = 0;
    result.marg = 0;
    result.unc_var = 0;
    c = 0;
    alpha = 0;
    gamma = 0;
    p = 0;
    ['imposible d ouvrir le fichier   ' num2str(regime)]
    error = 1;
end




% if(error==0)
%     
%     dim = size(result.c);
%     result.c_ESS = zeros(regime,1);
%     result.alpha_ESS = zeros(regime,1);
%     result.gamma_ESS = zeros(regime,1);
%     for j=1:dim(1,2)
%         c = autocorr(result.c(:,j),dim(1,1)-1);
%         ESS = 1;
%         indice = 2;
%          while(c(indice)>0.1)
%              ESS = 2*c(indice) + ESS;
%              indice = indice + 1;
%          end
%          result.c_ESS(j) = dim(1,1)/ESS;
%          alpha = autocorr(result.alpha(:,j),dim(1,1)-1);
%          ESS = 1;
%          indice = 2;
%          while(alpha(indice)>0.1)
%              ESS = 2*alpha(indice) + ESS;
%              indice = indice + 1;
%          end
%          result.ESS_alpha(j) = dim(1,1)/ESS;
%          
%          gamma = autocorr(result.gamma(:,j),dim(1,1)-1);
%          ESS = 1;
%          indice = 2;
%          while(gamma(indice)>0.1)
%              ESS = 2*gamma(indice) + ESS;
%              indice = indice + 1;
%          end
%          result.ESS_gamma(j) = dim(1,1)/ESS;
%     end   
% end


dim = size(result.omega);
taille = result.size;
N = dim(1,1);
burn = floor(0.5*N);
result.mean_omega_time = zeros(1,taille);
result.mean_alpha_time = zeros(1,taille);
result.mean_beta_time = zeros(1,taille);
result.mean_unc_var = zeros(1,taille);
result.mean_sigma = zeros(1,taille);
prob_nb_regime = zeros(k,1);
for i=burn:N
    sigma = zeros(1,taille);
    for q=1:taille
        etat = result.sn(i,q)+1;
        if(q==1)
            sigma(q) = result.omega(i,etat)/(1-result.alpha(i,etat)-result.beta(i,etat));
        else
            sigma(q) = result.omega(i,etat) + result.alpha(i,etat)*y(q-1)^2 + result.beta(i,etat)*sigma(q-1);
        end
    end
    
    result.mean_sigma = result.mean_sigma + sigma;
    
    reg = result.regime_max(i);
    prob_nb_regime(reg) = prob_nb_regime(reg) +1;
end
result.prob_nb_regime = prob_nb_regime/(N-burn+1);
result.mean_sigma = result.mean_sigma/(N-burn+1);
result.mode_theta = zeros(4,taille);
[maxi mode_reg] = max(prob_nb_regime);

for q=1:taille
    mean_theta = zeros(4,1);
    mode_theta = zeros(4,1);
    
    it_mode = 0;    
    for i=burn:N
        etat = result.sn(i,q)+1;
        mean_theta(1) = mean_theta(1)  + result.omega(i,etat);
        mean_theta(2) = mean_theta(2) + result.alpha(i,etat);
        mean_theta(3) = mean_theta(3) + result.beta(i,etat);
        mean_theta(4) = mean_theta(4) + result.omega(i,etat)/(1-result.alpha(i,etat)-result.beta(i,etat));
        if(result.regime_max(i) == mode_reg)
            mode_theta(1) = mode_theta(1)  + result.omega(i,etat);
            mode_theta(2) = mode_theta(2) + result.alpha(i,etat);
            mode_theta(3) = mode_theta(3) + result.beta(i,etat);
            mode_theta(4) = mode_theta(4) + result.omega(i,etat)/(1-result.alpha(i,etat)-result.beta(i,etat));
            it_mode = it_mode +1;
        end
        
            
    end
    result.mean_omega_time(q) = mean_theta(1)/(N-burn+1);
    result.mean_alpha_time(q) = mean_theta(2)/(N-burn+1);
    result.mean_beta_time(q) = mean_theta(3)/(N-burn+1);
    result.mean_unc_var(q) = mean_theta(4)/(N-burn+1);
    
    result.mode_theta(:,q) = mode_theta/it_mode; 
    
end
result.mean_theta = [result.mean_omega_time;result.mean_alpha_time;result.mean_beta_time];

result.std_omega_time = zeros(1,taille);
result.std_alpha_time = zeros(1,taille);
result.std_beta_time = zeros(1,taille);
for q=1:taille
    std = zeros(3,1);
    mean_theta = zeros(3,1);
    mean_theta(1) = result.mean_omega_time(q);
    mean_theta(2) = result.mean_alpha_time(q);
    mean_theta(3) = result.mean_beta_time(q);
    for i=burn:N
        etat = result.sn(i,q)+1;
        std(1) = std(1) + (result.omega(i,etat)-mean_theta(1))^2;
        std(2) = std(2) + (result.alpha(i,etat)-mean_theta(2))^2;
        std(3) = std(3) + (result.beta(i,etat)-mean_theta(3))^2;
    end
    result.std_omega_time(q) = sqrt(std(1)/(N-burn+1));
    result.std_alpha_time(q) = sqrt(std(2)/(N-burn+1));
    result.std_beta_time(q) = sqrt(std(3)/(N-burn+1));
end
%result.smooth_unc_var = result.mean_c_time./(ones(1,taille)-result.mean_alpha_time-result.mean_gamma_time);

maxi = max(result.mean_omega_time+1.96*result.std_omega_time);


subplot(3,3,1),plot(y),title('Time series');
subplot(3,3,2),plot(result.prob_cass),set(gca,'YLim',[0 1]),title('Prob. break');
subplot(3,3,3),plot(result.isCP),set(gca,'YLim',[0 1]),title('Prob. Change-Point');
subplot(3,3,4),plot(result.mean_omega_time),hold on,plot(result.mean_omega_time+1.96*result.std_omega_time,'--r'),plot(result.mean_omega_time-1.96*result.std_omega_time,'--r'),set(gca,'YLim',[0 maxi]),title('\omega over time');
subplot(3,3,5),plot(result.mean_alpha_time),hold on,plot(result.mean_alpha_time+1.96*result.std_alpha_time,'--r'),plot(result.mean_alpha_time-1.96*result.std_alpha_time,'--r'),set(gca,'YLim',[0 0.6]),title('\alpha over time');
subplot(3,3,6),plot(result.mean_beta_time),hold on,plot(result.mean_beta_time+1.96*result.std_beta_time,'--r'),plot(result.mean_beta_time-1.96*result.std_beta_time,'--r'),set(gca,'YLim',[0.4 1]),title('\beta over time');
subplot(3,3,7),bar(result.prob_nb_regime),set(gca,'XLim',[1 10]),title('Prob of number of regime(s)');
subplot(3,3,8),plot(result.prob_sn),set(gca,'YLim',[0 1]),title('Prob. state');
subplot(3,3,9),plot(result.post_dens),title('Density');

dim = size(result.sn);
maxi = max(result.regime_max);
sn_mode = zeros(maxi,dim(1,2));
count = 0;
for q=1:maxi
    ind = find(result.regime_max==q);
    dim_ind = size(ind);
    for z=1:dim(1,2)
        val = zeros(dim_ind(2),1);
        for r=1:dim_ind(2)
            val(r) = result.sn(ind(r),z);
        end
        sn_mode(q,z) = mode(val);
    end
%       if(dim_ind(2)>0)
%           count = count +1;
%           if(count<=3)
%               subplot(1,3,count),graph_cass(y,[sn_mode(q,:)],1);
%           end
%       end
end
result.sn_mode = sn_mode;


[maxi ind] = max(result.post_dens);
result.unc_var_mode = zeros(1,dim(1,2));
for t=1:dim(1,2)
    etat = result.sn(ind,t)+1;
    result.unc_var_mode(t) = result.omega(ind,etat)/(1-result.alpha(ind,etat)-result.beta(ind,etat));
end
    
fclose('all');